## rocprim 7.1.0

=== debian/changelog ===
rocprim (7.1.0-0ubuntu3) resolute; urgency=medium

  * d/{control, tests/control}: remove ppc64el from tests since it is not
    supported by upstream

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Wed, 28 Jan 2026 23:35:31 +0300

rocprim (7.1.0-0ubuntu2) resolute; urgency=medium

  * d/{control, rules}: update build dependencies to use upstream llvm-21
  * d/rules: update dh_shlibdeps to properly handle libtest_linking_lib*

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Mon, 12 Jan 2026 15:39:51 +0100

rocprim (7.1.0-0ubuntu1) resolute; urgency=medium

  * New upstream version 7.1.0
  * d/p/fix-asm-thread-load-store.patch drop patch (integrated upstream)
  * p/p/add-option-to-disable-deprecation-warnings.patch: drop patch
    not required for new version
  * d/p/Drop-stray-semicolon.patch drop patch (integrated upstream)
  * d/p/fix-legacy-stream-version-check.patch drop patch (integrated
    upstream)
  * d/p/Extend-docs-conf.py-for-offline-build.patch minor update upstream
  * d/p/arch-conversion-macro.patch fix fuzzing
  * d/p/test-warp-sort-ppc64el.patch fix fuzzing
  * d/p/skip-building-test_device_scan.patch refresh
  * d/librocprim-tests.install: include libraries for test_linking
  * d/not-installed: change naming LICENSE.txt -> LICENSE.md
  * d/not-installed: remove so's that are in install
  * d/rules: remove unused CXX flag for new version
  * d/{rules,librocprim-tests.lintian-overrides}: fix runtime linking for tests

 -- Igor Luppi <igor.luppi@canonical.com>  Tue, 02 Dec 2025 12:53:17 -0300

rocprim (6.4.3-1~exp1ubuntu1) UNRELEASED; urgency=medium

  * d/control: update maintainer field
  * d/control: update build-depends
  * d/rules: use GPU_TARGETS instead of deprecated AMDGPU_TARGETS
  * d/rules: fix FTBFS by adding -Wl,--gc-sections to flags
  * d/rules: export rocm binaries path

 -- Igor Luppi <igor.luppi@canonical.com>  Thu, 09 Oct 2025 17:11:40 -0300
